From cee7c15211ac5929154f9b2e40b5fc616bbdc8cc Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Sep 28 2017 17:35:08 +0000
Subject: [PATCH 953/1001] Add the hub's right width as a property with a setter


---

diff --git a/hubs/models.py b/hubs/models.py
index 3b7283d..498d4fa 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -337,6 +337,7 @@ class HubConfig(BASE):
         return {
             'summary': self.summary,
             'left_width': self.left_width,
+            'right_width': self.right_width,
             'avatar': self.avatar,
             'chat_channel': self.chat_channel,
             'chat_domain': self.chat_domain,
@@ -347,6 +348,10 @@ class HubConfig(BASE):
     def right_width(self):
         return 12 - self.left_width
 
+    @right_width.setter
+    def right_width(self, value):
+        self.left_width = 12 - value
+
 
 class SpecificDefaultDict(defaultdict):
     """A more specific version of defaultdict.

